Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class Quote

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.Quote

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Quote

extends Object
implements Serializable

The Quote class provides a framework for building a price quote for a collection of LineItems. The LineItems may be adjusted within the framework such that any sub-quantity of a LineItem maybe assigned a new unit price. Each LineAdjustment represents a subquantity of a LineItem and include a new unit price. Each LineAdjustment must have exactly one AdjustmentDetail object describing the adjustment. The quantities of a set of LineAdjustments for a LineItem may not exceed the quantity of the LineItem. The subtotal of the quote is the sum of the values of the LineItems. OrderAdjustments may also be added to the Quote. The OrderAdjustments change the total for the Quote. The total is computed by adding any OrderAdjustments to the subtotal for the object.

See Also
  `LineItem`, `LineAdjustment`, `OrderAdjustment`, `AdjustmentDetail`, `AdjustmentType`, `QuoteFactory`, `Money`, Serialized Form

Field Summary
`static String` | `INPUT` Deprecated See BEA Commerce product offering
`static double` | `MIN_PRICE` Deprecated See BEA Commerce product offering
`static double` | `ONE_HUNDRED` Deprecated See BEA Commerce product offering
`static String` | `STATE` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_DISC` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_END` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_ERROR` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_NO_ADJ` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_SHIPPING` Deprecated See BEA Commerce product offering
`static int` | `STATE_I_TAX` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_DISC` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_END` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_ERROR` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_NO_ADJ` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_SHIPPING` Deprecated See BEA Commerce product offering
`static String` | `STATE_S_TAX` Deprecated See BEA Commerce product offering

Constructor Summary
`Quote()` Deprecated See BEA Commerce product offering
`Quote(QuoteFactory factory, List lineItems)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `addLineAdjustment(int itemNumber, int qty, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`void` | `addLineAdjustment(LineItem item, int qty, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`void` | `addOrderDetail(AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`static boolean` | `checkMinPrice(Money value)` Deprecated See BEA Commerce product offering
`Money` | `getBaseShipping()` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`QuoteFactory` | `getFactory()` Deprecated See BEA Commerce product offering
`int` | `getLineCnt()` Deprecated See BEA Commerce product offering
`LineItem` | `getLineItem(int itemNumber)` Deprecated See BEA Commerce product offering
`List` | `getLineItems()` Deprecated See BEA Commerce product offering
`List` | `getOrderAdjustments()` Deprecated See BEA Commerce product offering
`List` | `getOrderDiscountAdjustments()` Deprecated See BEA Commerce product offering
`List` | `getShippingOrderAdjustments()` Deprecated See BEA Commerce product offering
`Money` | `getSubtotal()` Deprecated See BEA Commerce product offering
`Money` | `getTotal()` Deprecated See BEA Commerce product offering
`String` | `getUID()` Deprecated See BEA Commerce product offering
`int` | `incrementSeqNumber()` Deprecated See BEA Commerce product offering
`static double` | `round(double value)` Deprecated See BEA Commerce product offering
`static double` | `round(Money value)` Deprecated See BEA Commerce product offering
`static MutableMoney` | `round(MutableMoney value)` Deprecated See BEA Commerce product offering
`void` | `set(QuoteFactory factory, List lineItems)` Deprecated See BEA Commerce product offering
`void` | `setBaseShipping(Money shippingBase)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_PRICE

    public static final double MIN_PRICE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ONE_HUNDRED

    public static final double ONE_HUNDRED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_NO_ADJ

    public static final int STATE_I_NO_ADJ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_DISC

    public static final int STATE_I_DISC

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_SHIPPING

    public static final int STATE_I_SHIPPING

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_TAX

    public static final int STATE_I_TAX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_END

    public static final int STATE_I_END

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_I_ERROR

    public static final int STATE_I_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_NO_ADJ

    public static final String STATE_S_NO_ADJ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_DISC

    public static final String STATE_S_DISC

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_SHIPPING

    public static final String STATE_S_SHIPPING

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_TAX

    public static final String STATE_S_TAX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_END

    public static final String STATE_S_END

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE_S_ERROR

    public static final String STATE_S_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### STATE

    public static final String STATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INPUT

    public static final String INPUT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### Quote

    public Quote()

  Deprecated See BEA Commerce product offering

  Constructs a Quote object with no LineItems and no associated QuoteFactory. The set() method can be used to set those properties

### Quote

    public Quote(QuoteFactory factory,
                 List lineItems)
          throws QuoteException,
                 CurrencyMismatchException

  Deprecated See BEA Commerce product offering

  Constructs a Quote object with the specified QuoteFactory and LineItem objects.

  Parameters
    `factory` - the QuoteFactory to use when generating other objects from the Quote package.
    `lineItems` - a List of LineItem objects
  Throws
    `QuoteException`
    `CurrencyMismatchException`
  See Also
    `QuoteFactory`, `LineItem`

Method Detail

### set

    public void set(QuoteFactory factory,
                    List lineItems)
             throws QuoteException,
                    CurrencyMismatchException

  Deprecated See BEA Commerce product offering

  Use this method to reinitialize a Quote object for reuse. After calling this method the Quote object will represent the new line items and factory specified and will have no line or order adjustments.

  Parameters
    `factory` - the QuoteFactory to use when generating other objects from the Quote package.
    `lineItems` - a List of LineItem objects
  Throws
    `QuoteException`
    `CurrencyMismatchException`
  See Also
    `QuoteFactory`, `LineItem`

### addOrderDetail

    public void addOrderDetail(AdjustmentDetail aDetail)
                        throws QuoteException

  Deprecated See BEA Commerce product offering

  Create a new OrderAdjustment object with the specified AdjustmentDetail object. Add the newly created OrderAdjustment to the list of adjustments. Adding of OrderAdjustments effects the total price for the Quote but does not effect the subtotal of the Quote. OrderAdjustments must be added after all LineAdjustments have been added and before shipping adjustments are added. Failure to follow this order will cause a QuoteException to be thrown.

  Parameters
    `aDetail` - an AdjustmentDetail object.
  Throws
    `QuoteException`
  See Also
    `AdjustmentDetail`, `OrderAdjustment`, `LineAdjustment`

### getOrderAdjustments

    public List getOrderAdjustments()

  Deprecated See BEA Commerce product offering

  Returns the full list of OrderAdjustment objects associated with this Quote. The full list of adjustments includes order discounts and shipping adjustments. Use getOrderDiscountAdjustments() to obtain only the order discounts and use getShippingOrderAdjustments() to obtain shipping adjustments.

  Returns
    a List of OrderAdjustment objects. An empty List may be returned if no order adjustments are present.
  See Also
    `OrderAdjustment`, `AdjustmentType`

### getOrderDiscountAdjustments

    public List getOrderDiscountAdjustments()

  Deprecated See BEA Commerce product offering

  Returns only the list of order discount adjustments from the list of OrderAdjustments. Use getOrderAdjustments() to obtain all the order OrderAdjustment objects and use getShippingOrderAdjustments() to obtain just the shipping adjustments. All of the OrderAdjustment objects returned will have an AdjustmentType of AdjustmentType.ORDER_DISCOUNT.

  Returns
    a List of OrderAdjustment objects that represent the order discounts for the Quote. Null will be returned if no order discount adjustments exist.
  See Also
    `OrderAdjustment`, `AdjustmentType`

### getShippingOrderAdjustments

    public List getShippingOrderAdjustments()

  Deprecated See BEA Commerce product offering

  Returns only the list of shipping adjustments from the list of OrderAdjustments. Use getOrderAdjustments() to obtain all the order OrderAdjustment objects and use getOrderDiscountAdjustments() to obtain just the order discount adjustments. All of the OrderAdjustment objects returned will have an AdjustmentType of AdjustmentType.SHIPPING_BASE_PRICE.

  Returns
    a List of OrderAdjustment objects that represent the shipping adjustment for the Quote. Null will be returned if no order discount adjustments exist.
  See Also
    `OrderAdjustment`, `AdjustmentType`

### addLineAdjustment

    public void addLineAdjustment(LineItem item,
                                  int qty,
                                  AdjustmentDetail aDetail)
                           throws QuoteException

  Deprecated See BEA Commerce product offering

  Add a new LineAdjustment based on the specified input values and with the specified AdjustmentDetail.

  Parameters
    `item` - the LineItem to associate the adjustment with.
    `qty` - the quantity of objects of the specified LineItem to adjust.
    `aDetail` - the AdjustmentDetail to associate with the new LineAdjustment.
  Throws
    `QuoteException`
  See Also
    `LineAdjustment`, `LineItem`, `AdjustmentDetail`

### addLineAdjustment

    public void addLineAdjustment(int itemNumber,
                                  int qty,
                                  AdjustmentDetail aDetail)
                           throws QuoteException

  Deprecated See BEA Commerce product offering

  Add a new LineAdjustment based on the specified input values and with the specified AdjustmentDetail.

  Parameters
    `itemNumber` - the number of the LineItem to associate the adjustment with.
    `qty` - the quantity of objects of the specified LineItem to adjust.
    `aDetail` - the AdjustmentDetail to associate with the new LineAdjustment.
  Throws
    `QuoteException`
  See Also
    `LineAdjustment`, `LineItem`, `AdjustmentDetail`

### getLineItems

    public List getLineItems()

  Deprecated See BEA Commerce product offering

  Returns an unmodifiable List of the LineItem objects of this object.

  Returns
    an unmodifiable List of LineItem objects.
  See Also
    `LineItem`, `Collections`

### getLineItem

    public LineItem getLineItem(int itemNumber)

  Deprecated See BEA Commerce product offering

  Returns the LineItem associated with the index supplied.

  Returns
    a LineItem object.
  See Also
    `LineItem`

### getLineCnt

    public final int getLineCnt()

  Deprecated See BEA Commerce product offering

  Return the number of LineItems in this Quote.

### getSubtotal

    public final Money getSubtotal()

  Deprecated See BEA Commerce product offering

  Returns the current subtotal of the Quote. The subtotal is the sum of the total values of the LineItems. After any order adjustments are added the subtotal will not change.

  Returns
    the Money object for the Quote subtotal
  See Also
    `LineItem`

### getTotal

    public final Money getTotal()

  Deprecated See BEA Commerce product offering

  Returns the current total of the Quote. The total is the subtotal plus all order adjustments.

  Returns
    the Money object for the Quote total
  See Also
    `OrderAdjustment`

### getBaseShipping

    public final Money getBaseShipping()

  Deprecated See BEA Commerce product offering

  Returns the Money value for the base shipping cost. If the base shipping cost has not been explicitly set with the setShippingbase() mehtod the Money object returned will have a value of zero and the currency will match the currency of the Quote object

  Returns
    the Money object for the base shipping price
  See Also
    `Money`

### setBaseShipping

    public final void setBaseShipping(Money shippingBase)
                               throws QuoteException,
                                      CurrencyMismatchException

  Deprecated See BEA Commerce product offering

  Sets the base shipping cost for the Quote.

  Throws
    `QuoteException` - if the value passed in is null.
    `CurrencyMismatchException` - if the currency of the Money object specified does not match the Quotes currency.
  See Also
    `OrderAdjustment`

### getCurrency

    public final String getCurrency()

  Deprecated See BEA Commerce product offering

  Returns the currency for this Quote object. The value is derived from the LineItems used to construct or set the Quote.

  Returns
    String representing the currency for this Quote object.
  See Also
    `Money`

### checkMinPrice

    public static final boolean checkMinPrice(Money value)

  Deprecated See BEA Commerce product offering

  Returns true if the Money value is greater than or equal to the minimum price of zero.

  Parameters
    `value` - the Money object to compare against the minimum price

### round

    public static final MutableMoney round(MutableMoney value)

  Deprecated See BEA Commerce product offering

  Rounds the amount of the MutableMoney specified to two digits and returns the modified MutableMoney

  Parameters
    `value` - a MutableMoney value to round.
  Returns
    the rounded MutableMoney.

### round

    public static final double round(Money value)

  Deprecated See BEA Commerce product offering

  Returns a new double that is equivalent to the amount of Money specified rounded to two digits to the right of the decimal point.

  Parameters
    `value` - a Money value to round

### round

    public static final double round(double value)

  Deprecated See BEA Commerce product offering

  Returns a new double that is equivalent to the value specified rounded to two digits to the right of the decimal point.

  Parameters
    `value` - a double value to round

### getFactory

    public final QuoteFactory getFactory()

  Deprecated See BEA Commerce product offering

  Get the QuoteFactory used to create other Quote package objects as needed by this Quote object.

  Returns
    the QuoteFactory object used by this Quote.
  See Also
    `QuoteFactory`

### getUID

    public String getUID()

  Deprecated See BEA Commerce product offering

  Return the unique string identifier for this Quote

### toString

    public final String toString()

  Deprecated See BEA Commerce product offering

  Provides a view of the current state of the object. This method is intended for debugging and may change at anytime.

  Overrides:
    `toString` in class `Object`
  Returns
    string showing the current state of the object.

### incrementSeqNumber

    public final int incrementSeqNumber()

  Deprecated See BEA Commerce product offering

  Used to order and associate adjustments made to the Quote object. The user of the object should use this method to increment the sequence number. The incremented sequence number will then be used to decorate all adjustments until the number is incremented again. The first call to this method after constructing or setting this object will return 0.

  Returns
    the incremented sequence number beginning at zero.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved